summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Dugan Chen2015-12-09 05:01:54 +0100
committer Willy Sudiarto Raharjo2015-12-09 05:01:54 +0100
commit71e684078afc010249ba6db7fe594f9201ed4fe0 (patch)
treec4331df38e447148b1bcc44340d1a8e4e0377329
parent659bada4067ae8e3afeeb5d0009b9a82cbcd0b27 (diff)
downloadslackbuilds-71e684078afc010249ba6db7fe594f9201ed4fe0.tar.gz
games/crispy-doom: Added (Doom source port).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/crispy-doom/README5
-rw-r--r--games/crispy-doom/crispy-doom.SlackBuild104
-rw-r--r--games/crispy-doom/crispy-doom.info10
-rw-r--r--games/crispy-doom/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/games/crispy-doom/README b/games/crispy-doom/README
new file mode 100644
index 0000000000..dd3e67c1c7
--- /dev/null
+++ b/games/crispy-doom/README
@@ -0,0 +1,5 @@
+Crispy Doom is a fork of Chocolate Doom that provides a higher
+display resolution, removes the static limits of the Doom engine and
+offers further optional visual, tactical and physical enhancements
+remaining entirely config file, savegame, netplay and demo compatible
+with the original.
diff --git a/games/crispy-doom/crispy-doom.SlackBuild b/games/crispy-doom/crispy-doom.SlackBuild
new file mode 100644
index 0000000000..680fe26c91
--- /dev/null
+++ b/games/crispy-doom/crispy-doom.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for crispy-doom
+
+# Copyright 2015 Dugan Chen Canada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=crispy-doom
+VERSION=${VERSION:-3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sh autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog HACKING NEWS NOT-BUGS PHILOSOPHY README README.Crispy.htm \
+ README.Music README.Strife TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/crispy-doom/crispy-doom.info b/games/crispy-doom/crispy-doom.info
new file mode 100644
index 0000000000..fb3a710e1b
--- /dev/null
+++ b/games/crispy-doom/crispy-doom.info
@@ -0,0 +1,10 @@
+PRGNAM="crispy-doom"
+VERSION="3.2"
+HOMEPAGE="http://www.chocolate-doom.org/wiki/index.php/Crispy_Doom"
+DOWNLOAD="https://github.com/fabiangreffrath/crispy-doom/archive/crispy-doom-3.2.tar.gz"
+MD5SUM="6c6374bfa928f61c217cde07fe0b67c9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dugan Chen"
+EMAIL="thedoogster [at] gmail [dot] com"
diff --git a/games/crispy-doom/slack-desc b/games/crispy-doom/slack-desc
new file mode 100644
index 0000000000..7c7d93ea66
--- /dev/null
+++ b/games/crispy-doom/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+crispy-doom: crispy-doom (Doom source port)
+crispy-doom:
+crispy-doom: Crispy Doom is a fork of Chocolate Doom that provides a higher
+crispy-doom: display resolution, removes the static limits of the Doom engine and
+crispy-doom: offers further optional visual, tactical and physical enhancements
+crispy-doom: remaining entirely config file, savegame, netplay and demo compatible
+crispy-doom: with the original.
+crispy-doom:
+crispy-doom: http://www.chocolate-doom.org/wiki/index.php/Crispy_Doom
+crispy-doom:
+crispy-doom: